List Volumes
curl --request GET \
--url https://api.bunny.net/mc/apps/{appId}/volumes \
--header 'AccessKey: <api-key>'import requests
url = "https://api.bunny.net/mc/apps/{appId}/volumes"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://api.bunny.net/mc/apps/{appId}/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"name": "<string>",
"id": "<string>",
"size": 5,
"totalUsage": 123,
"totalInstancesCount": 123,
"attachedInstancesCount": 123,
"containersCount": 123,
"volumeInstances": [
{
"id": "<string>",
"attachedPods": [
"<string>"
],
"attachedContainers": [
"<string>"
],
"region": "<string>",
"size": 5,
"usage": 123,
"set": "<string>"
}
]
}
],
"meta": {
"totalItems": 123
},
"cursor": "<string>",
"summary": {
"totalPods": 123,
"totalContainers": 123,
"totalStorage": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}Volumes
List Volumes
Lists all volume templates and their instances for an application, including usage statistics.
GET
/
apps
/
{appId}
/
volumes
List Volumes
Authorizations
Please enter a valid personal API key.
Path Parameters
Was this page helpful?
⌘I